import { ElementRef, EventEmitter, NgZone } from '@angular/core';
import { PerfectScrollbarConfigInterface, PerfectScrollbarComponent } from 'ngx-perfect-scrollbar';
import { PenScrollbarPosition } from './pen-scrollbar.model';
export declare class PenScrollbarComponent {
    private element;
    private _ngZone;
    config: PerfectScrollbarConfigInterface;
    scrollPosition: PenScrollbarPosition;
    scrollY: EventEmitter<CustomEvent>;
    scrollUp: EventEmitter<CustomEvent>;
    scrollDown: EventEmitter<CustomEvent>;
    yReachStart: EventEmitter<CustomEvent>;
    yReachEnd: EventEmitter<CustomEvent>;
    scrollX: EventEmitter<CustomEvent>;
    scrollLeft: EventEmitter<CustomEvent>;
    scrollRight: EventEmitter<CustomEvent>;
    xReachStart: EventEmitter<CustomEvent>;
    xReachEnd: EventEmitter<CustomEvent>;
    componentRef?: PerfectScrollbarComponent;
    penId: string;
    private timeout;
    constructor(element: ElementRef, _ngZone: NgZone);
    onDragOver(event: DragEvent): void;
    onScrollY(event: CustomEvent): void;
    onScrollUp(event: CustomEvent): void;
    onScrollDown(event: CustomEvent): void;
    onYReachStart(event: CustomEvent): void;
    onYReachEnd(event: CustomEvent): void;
    onScrollX(event: CustomEvent): void;
    onScrollLeft(event: CustomEvent): void;
    onScrollRight(event: CustomEvent): void;
    onXReachStart(event: CustomEvent): void;
    onXReachEnd(event: CustomEvent): void;
    scrollTo(x: number, y: number): void;
    private generateId;
    private handleScrollBar;
    private calculateNewScrollbarYPosition;
    private calculateNewScrollbarXPosition;
}
